<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$ubicacion_sele = DataForms::GET('id');
$title = 'Lista de Empaques y Entregas';
echo "<title>".AppName.' - '.$title."</title>";
$SucCodigo = SucursalUsuario($USID);

function SucursalUsuario($us_codigo){
  $Usuario = new DB();
  $sqlUsuario = "SELECT * FROM rol_usuarios
  WHERE us_id = '$us_codigo';";
  $Usuario->dbSQL($sqlUsuario);
  $Usuario->next();
  $sucursal = $Usuario->dbField('ubica_codigo');

  return $sucursal;
}

function VentasProductos($ven_codigo, $lista){
$Ventas = new DB();
$sqlVentas = "SELECT * FROM ventas_productos ven, inventarios_productos prod
WHERE ven.prod_codigo = prod.prod_codigo
AND ven.ven_codigo = '$ven_codigo'
AND ven.clie_codigo <> 'vacio';";
$Ventas->dbSQL($sqlVentas);
$i=0;

$html = '';
$html.= '<h3><b>N&uacute;mero Lista: &nbsp;</b>'.$lista.'</h3>';
$html.= '<table class="display table table-striped table-hover">
	<thead><tr>				
	<th width="1%">N&ordm;</th>
	<th width="1%">fecha</th>
		<th>descripci&Oacute;n</th>
		<th>cliente</th>
		<th>tipo</th>
		<th>unidades</th>
		<th>precio unitario</th>
		<th>sub total</th>
	</tr></thead>											
	<tbody>';
$total = 0;
	while($Ventas->next()){
	$i++;
	//ventas
		$ven_id = $Ventas->dbField('ven_id');
		$ven_codigo = $Ventas->dbField('ven_codigo');
		$clie_codigo = $Ventas->dbField('clie_codigo');
		$ven_numerolista = $Ventas->dbField('ven_numerolista');
		$prod_codigo = $Ventas->dbField('prod_codigo');
		$ubica_codigo = $Ventas->dbField('ubica_codigo');
		$us_id = $Ventas->dbField('us_id');
		$cajero_usid = $Ventas->dbField('cajero_usid');
		$ven_tipo = $Ventas->dbField('ven_tipo');
		$ven_cantidad = $Ventas->dbField('ven_cantidad');
		$ven_precio = $Ventas->dbField('ven_precio');
		$ven_fecha = $Ventas->dbField('ven_fecha');
			
	//producto info	
		$prod_id = $Ventas->dbField('prod_id');
		$prod_item = $Ventas->dbField('prod_item');
		$prod_codigo = $Ventas->dbField('prod_codigo');
		$prod_nombre = $Ventas->dbField('prod_nombre');												
		$prod_piezascaja = $Ventas->dbField('prod_piezascaja');
		//$prod_cantidadcajas = $Ventas->dbField('prod_cantidadcajas');
		$prod_preciounitario = $Ventas->dbField('prod_preciounitario');
		$prod_preciodocena = $Ventas->dbField('prod_preciodocena');
		$prod_preciocajadocena  = $Ventas->dbField('prod_preciocajadocena');	

		switch($ven_tipo){
			case '1' : $tipo = 'Unidad'; 
			$precio = $prod_preciounitario;
			$piezas = 1;
			$unicaja = 'unidades';
			$cantidades = $ven_cantidad*$piezas;
			$precios = number_format(($precio/$piezas),2);
		break;
		case '2' : $tipo = 'Docena'; 
			$precio = $prod_preciodocena;
			$piezas = $prod_piezascaja*12;
			$unicaja = 'unidades';														
			$cantidades = $ven_cantidad;
			$precios = number_format(($precio),2);
		break;
		case '3' : $tipo = 'Caja Docena'; 
			$precio = $prod_preciocajadocena;
			$piezas = $prod_piezascaja;
			$unicaja = 'cajas';
			$cantidades = $ven_cantidad*$piezas;
			$precios = number_format(($precio/$piezas),2);
		break;
		case '4' : $tipo = 'Docena'; 
			$precio = $prod_preciodocena;
			$piezas = $prod_piezascaja;
			$unicaja = 'unidades';														
			$cantidades = $ven_cantidad;
			$precios = number_format(($precio),2);
		break;
		}
		$subtotal = $cantidades*$precios;	
		$total = $total + $subtotal;
		$html.='<tr>';
		$html.='<td>'.$i.'</td>';
		$html.='<td>'.$ven_fecha.'</td>';
		$html.='<td><b>'.$prod_nombre.'</b><br>
		<small><b>Item:&nbsp;</b>'.$prod_item.'<br>
		<b>Ubicaci&oacute;n:&nbsp;</b>'.SucursalesProducto($ubica_codigo).'</small></td>';
		$html.='<td>'.Clientes($clie_codigo).'</td>';																																
		$html.='<td align=right>'.$ven_cantidad.'&nbsp;'.$unicaja.'</td>';		
		$html.='<td align=right>'.$cantidades.'</td>';					
		$html.='<td align=right>'.$precios.'</td>';
		$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
		$html.='</tr>';
	}
	$html.='</tbody>
	<tfoot><tr>
	<td colspan=7 align=center>'.EstadoEntregas($ven_codigo,$lista,$clie_codigo).'
	<a href="'.PATH_HOME.'ver-listaempaque/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&ven_numerolista='.$lista.'" class="btn btn-warning" target="_blank">
		<b>VER VENTA</b></a></td>
	</td>
	<td align=right><h3>'.number_format($total,2).'</h3></td>
	</tr></tfoot></table>';

	return utf8_encode($html);
}
function Clientes($clie_codigo){
  $Clientes = new DB();
  $sqlClientes = "SELECT * FROM inventarios_clientes
  WHERE clie_codigo = '$clie_codigo';";
  $Clientes->dbSQL($sqlClientes);
  $Clientes->next();
  $nombres = $Clientes->dbField('clie_nombres');
  $apellidos = $Clientes->dbField('clie_apellidos');

  return str_replace(' ','&nbsp;',$nombres.' '.$apellidos);
}
function EstadoEntregas($ven_codigo,$lista,$clie_codigo){
$Entregas = new DB();
	$sqlEntregas = "SELECT * FROM ventas_entregas
	WHERE ven_codigo = '$ven_codigo';";												
	$Entregas->dbSQL($sqlEntregas);
	$classEntregas = 'btn btn-danger';
	if($Entregas->next()){
		$EstadoEntregas = $Entregas->dbField('entre_estado');
		if($EstadoEntregas == '0'){
			$EntregaEstado = '<b>ESTADO PENDIENTE</b>';
			$link = PATH_HOME.'almacenes-entregar/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&ven_numerolista='.$lista;
		}else{
			$EntregaEstado = '<b>ENTREGADO</b>';
			$link = '#';
			$classEntregas = 'btn btn-default';
		}
	}	

	return $enlace = '<a href="'.$link.'" class="'.$classEntregas.'">'.$EntregaEstado.'</a>';
}
function SucursalesProducto($prod_codigo){
	$Producto = new DB();
	$sqlProducto = "SELECT * FROM inventarios_ubicaciones
	wHERE ubica_codigo = '$prod_codigo'";
	$Producto->dbSQL($sqlProducto);
	$Producto->next();
	$sucursal = str_replace(' ','&nbsp;',$Producto->dbField('ubica_nombre'));
	$color = $Producto->dbField('ubica_color');

$sucursal = '<span style="background:'.$color.';padding:2px 7px;border-radius:7px;">'.$sucursal.'</span>';

	return $sucursal;
}
?>
<style>
th{background:green;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">
										<!--div class="row" style='width:97%' align='left'>
											<div class="col-sm-3">
												<select id="cmbUbicaciones" class='btn btn-primary' style='text-align:left'>
													<option value="" selected>Listado de Ubicaciones</option>
													<?php
													$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones 
													WHERE ubica_estado='1';";
													$Ubicaciones = new DB();
													$Ubicaciones->dbSQL($sqlUbicaciones);
													$html = "";
														while($Ubicaciones->next()){
															$ubica_codigo = $Ubicaciones->dbField('ubica_codigo');
															$ubica_nombre = $Ubicaciones->dbField('ubica_nombre');			
															if($ubica_codigo == $ubicacion_sele)															
																$html.='<option value="'.$ubica_codigo.'" selected>'.$ubica_nombre.'</option>';																																
															else
																$html.='<option value="'.$ubica_codigo.'">'.$ubica_nombre.'</option>';																																
																
															}//wend() 
														echo utf8_encode($html);
													?>																																													
												</select>
											</div>																																					
										</div-->																						
										<?php		
										$ventas = new DB();
										if($TipoUsuario == "Super-Encargado Almacenes"){											
											$sqlventas = "SELECT * FROM ventas_productos 
											WHERE clie_codigo <> 'vacio'
											GROUP BY ven_codigo ORDER BY ven_id DESC;";								
										}else{
											$sqlventas = "SELECT * FROM ventas_productos 
											WHERE ubica_codigo = '$SucCodigo'
											AND clie_codigo <> 'vacio'
											GROUP BY ven_codigo ORDER BY ven_id DESC;";		
										}
										$ventas->dbSQL($sqlventas);
										
										while($ventas->next()){							
											$ven_codigo= $ventas->dbField('ven_codigo');											
											$lista= $ventas->dbField('ven_numerolista');											
											echo VentasProductos($ven_codigo,$lista);		
										}
										?>											
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
				
	</div>
</body>
</html>
<script>
$('#cmbUbicaciones').change(function(){
    let codegen = $(this).val();
    if(codegen == '') codegen ='ver';
    self.location="<?php echo PATH_HOME.'rep-almacenes/' ?>"+codegen;
});
</script>